KDE 4.7 PyKDE API Reference

- KDE's Python API

# RouteSegment Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

## Methods

| __init__ (self)
Marble.GeoDataLatLonBox | bounds (self)
float | distance (self)
float | distanceTo (self, Marble.GeoDataCoordinates point, Marble.GeoDataCoordinates closest, Marble.GeoDataCoordinates interpolated)
bool | isValid (self)
Marble.Maneuver | maneuver (self)
float | minimalDistanceTo (self, Marble.GeoDataCoordinates point)
Marble.RouteSegment | nextRouteSegment (self)
Marble.GeoDataLineString | path (self)
| setManeuver (self, Marble.Maneuver maneuver)
| setNextRouteSegment (self, Marble.RouteSegment segment)
| setPath (self, Marble.GeoDataLineString path)
| setTravelTime (self, int seconds)
int | travelTime (self)

## Method Documentation

__init__ | ( |  | self ) |

Marble.GeoDataLatLonBox bounds | ( |  | self ) |

float distance | ( |  | self ) |

float distanceTo | ( | self, |
|  | Marble.GeoDataCoordinates | point,
|  | Marble.GeoDataCoordinates | closest,
|  | Marble.GeoDataCoordinates | interpolated
| ) |  |  |

bool isValid | ( |  | self ) |

Marble.Maneuver maneuver | ( |  | self ) |

float minimalDistanceTo | ( | self, |
|  | Marble.GeoDataCoordinates | point
| ) |  |  |

Marble.RouteSegment nextRouteSegment | ( |  | self ) |

Marble.GeoDataLineString path | ( |  | self ) |

setManeuver | ( | self, |
|  | Marble.Maneuver | maneuver
| ) |  |  |

setNextRouteSegment | ( | self, |
|  | Marble.RouteSegment | segment
| ) |  |  |

setPath | ( | self, |
|  | Marble.GeoDataLineString | path
| ) |  |  |

setTravelTime | ( | self, |
|  | int | seconds
| ) |  |  |

int travelTime | ( |  | self ) |